# Poco::Data::ODBC

# template < typename H, SQLSMALLINT handleType >

# class Handle

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/Handle.h

## Description

ODBC handle class template

## Member Summary

Member Functions: handle, operator const H &

## Constructors

### Handle

Handle(
const ConnectionHandle & rConnection
);

Creates the Handle.

## Destructor

### ~Handle

~Handle();

Destroys the Handle.

## Member Functions

### handle

const H & handle() const;

Returns const reference to native type.

### operator const H &

operator const H & () const;

Const conversion operator into reference to native type.